com.r3corda.node.services.statemachine / StateMachineManager / ExistingSessionMessage

# ExistingSessionMessage

`interface ExistingSessionMessage : SessionMessage`

### Properties

recipientSessionId | `abstract val recipientSessionId: Long`

### Inheritors

SessionData | `data class SessionData : ExistingSessionMessage`
SessionEnd | `data class SessionEnd : ExistingSessionMessage`
SessionInitResponse | `interface SessionInitResponse : ExistingSessionMessage`